function InstallerTest::visitInstaller

Same name and namespace in other branches
  1. 11.x core/tests/Drupal/FunctionalTests/Installer/InstallerTest.php \Drupal\FunctionalTests\Installer\InstallerTest::visitInstaller()
  2. 10 core/tests/Drupal/FunctionalTests/Installer/InstallerTest.php \Drupal\FunctionalTests\Installer\InstallerTest::visitInstaller()
  3. 9 core/tests/Drupal/FunctionalTests/Installer/InstallerTest.php \Drupal\FunctionalTests\Installer\InstallerTest::visitInstaller()
  4. 8.9.x core/tests/Drupal/FunctionalTests/Installer/InstallerTest.php \Drupal\FunctionalTests\Installer\InstallerTest::visitInstaller()

Visits the interactive installer.

Parameters

array $query: Query parameters to pass to install.php.

Overrides InstallerTestBase::visitInstaller

File

core/tests/Drupal/FunctionalTests/Installer/InstallerTest.php, line 119

Class

InstallerTest
Tests the interactive installer.

Namespace

Drupal\FunctionalTests\Installer

Code

protected function visitInstaller(array $query = []) : void {
  parent::visitInstaller($query);
  // Assert the title is correct and has the title suffix.
  $this->assertSession()
    ->titleEquals('Choose language | Drupal');
}

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.